Bug 3313 - [UPDATE REQUEST] [UPSTREAM UPDATE] xorg-x11-drv-synaptics
: [UPDATE REQUEST] [UPSTREAM UPDATE] xorg-x11-drv-synaptics
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 19:52 MSK by Andrew Lukoshko
Modified: 2014-01-10 11:04 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 19:52:58 MSK
Previously, the synaptics driver scaled input coordinates based on the device
resolution. This prevented the X server from applying uniform resolution-based
scaling for other devices in relative mode. The synaptics driver has been fixed
to only apply scaling if the X server does not support per-device resolution
scaling.

http://rhn.redhat.com/errata/RHBA-2013-1419.html

https://abf.rosalinux.ru/build_lists/1452024
https://abf.rosalinux.ru/build_lists/1452025

ATTENTION. This package needs updated xorg-x11-server from here:
http://bugs.rosalinux.ru/show_bug.cgi?id=3312
Comment 1 Vladimir Potapov 2013-12-11 11:41:53 MSK
xorg-x11-drv-synaptics-1.6.2-11.res6.1
**************************** RHEL Advisory ****************************
Previously, the synaptics driver scaled input coordinates based on the device
resolution. This prevented the X server from applying uniform resolution-based
scaling for other devices in relative mode. The synaptics driver has been fixed
to only apply scaling if the X server does not support per-device resolution
scaling.
************************************************************************
QA Verified